
QGIS Application - Bug report #3833

Graduated symbols missing from exported pdf

2011-05-20 03:36 AM - zirneklitis -

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 13891

Description

The graduated symbols are missing from the exported pdf file. This is true both for pre-compiled stand alone Windows instalation (1.6.0)

and pre-compiled osgeo4win version (1.6.0).

Fedora 13 QGIS 1.6.0 composer manager works as expected – no missing elements in pdf file.

By the way – pdf created with windows version is approximately 3 times larger then pdf created in Linux.

History

#1 - 2011-12-13 07:56 PM - Alister Hood

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Do you still have this problem with a recent version of QGIS?

It works for me in current Trunk on Windows.

By the way – pdf created with windows version is approximately 3 times larger then pdf created in Linux

I don't know about a pdf created on Linux, but one created on Windows also takes a very long time to load and draw the buffers around the labels.  This

problem is avoided if you use the new labelling engine (the label button on the toolbar), which uses a better method to draw the buffers.  I'm guessing that

might fix the extra size too.

#2 - 2011-12-15 10:16 PM - zirneklitis -

I have tested with Fedora 14 / QGIS 1.7.1 and Windows 2000 / QGIS 1.7.1. On both systems the result was as expected. Even with old labelling system

the Windows and Linux versions generates approximately the same size pdf files.

This bug should be marked as fixed.

The new labelling system is a GREAT! The generated pdf are ten time smaller then with the old labelling system. It takes fraction of second to be displayed

the new version.

#3 - 2011-12-15 10:18 PM - Alister Hood

- Resolution set to worksforme

- Status changed from Open to Closed

Files
legend_in_composer.png 13.1 KB 2011-05-20 zirneklitis -

legend_in_pdf_file.png 9.43 KB 2011-05-20 zirneklitis -

example.zip 27.9 KB 2011-05-20 zirneklitis -
